//
//  HelloWorldViewController.m
//  HelloWorld
//
//  Created by Michael Rohs on 4.5.2011.
//  Copyright 2011 __MyCompanyName__. All rights reserved.
//

#import "HelloWorldViewController.h"

@implementation HelloWorldViewController

// @synthesize label;
@synthesize nameField;

-(IBAction) buttonPressed:(id)sender;
{
    UILabel *label = (UILabel*)[self.view viewWithTag:100];
    label.text = @"Button pressed";
}

-(IBAction) alertButtonPressed:(id)sender;
{
    UIAlertView *alert = [[UIAlertView alloc] 
                          initWithTitle:@"title" 
                          message:@"message" 
                          delegate:nil 
                          cancelButtonTitle:@"Cancel" 
                          otherButtonTitles:@"OK 1", @"OK 2", nil];
    [alert show];
}

- (void)dealloc
{
    [super dealloc];
}

- (void)didReceiveMemoryWarning
{
    // Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
    
    // Release any cached data, images, etc that aren't in use.
}

#pragma mark - View lifecycle

// Implement viewDidLoad to do additional setup after loading the view, typically from a nib.
- (void)viewDidLoad
{
    nameField.delegate = self;
    [super viewDidLoad];
}

- (void)viewDidUnload
{
    [super viewDidUnload];
    // Release any retained subviews of the main view.
    // e.g. self.myOutlet = nil;
}

- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation
{
    // Return YES for supported orientations
    return (interfaceOrientation == UIInterfaceOrientationPortrait);
}



#pragma mark -
#pragma mark Text field delegate



- (BOOL)textFieldShouldBeginEditing:(UITextField *)textField
{
	NSLog(@"textFieldShouldBeginEditing: %@", textField.text);
	return YES;
}



- (void)textFieldDidBeginEditing:(UITextField *)textField
{
	NSLog(@"textFieldDidBeginEditing: %@", textField.text);
    //	[textField becomeFirstResponder];
}



- (BOOL) textFieldShouldReturn:(UITextField*)textField
{
	NSLog(@"textFieldShouldReturn: %@", textField.text);
	[textField resignFirstResponder];
	return YES;
}



- (BOOL)textFieldShouldEndEditing:(UITextField *)textField
{
	NSLog(@"textFieldShouldEndEditing: %@", textField.text);

    UILabel *label = (UILabel*)[self.view viewWithTag:100];
    label.text = textField.text;
    //	[textField resignFirstResponder];
	return YES;
}



- (void)textFieldDidEndEditing:(UITextField *)textField
{
	NSLog(@"textFieldDidEndEditing: %@", textField.text);
    NSLog(@"retainCount = %d", [textField retainCount]);
}

- (IBAction)actionSheetButtonPressed:(id)sender;
{
    UIActionSheet *actionSheet = [[UIActionSheet alloc] 
								  initWithTitle:@"This is my title" 
								  delegate:self 
								  cancelButtonTitle:@"Cancel" 
								  destructiveButtonTitle:@"Destructive!" 
								  otherButtonTitles:@"Alternative 1", @"Alternative 2", nil];
	[actionSheet showInView:self.view];
	[actionSheet release];
}


#pragma mark -
#pragma mark UIActionSheet delegate methods

- (void)actionSheet:(UIActionSheet *)actionSheet clickedButtonAtIndex:(NSInteger)buttonIndex
{
#ifdef DEBUG
	NSLog(@"actionSheet: clickedButtonAtIndex %d", buttonIndex);
#endif
}



@end
